<ul class="nav nav-tabs">
  <li class="nav-item">
    <a class="nav-link active" href="#" (click)="doing=true">Students list</a>
  </li>
  <li class="nav-item">
    <a class="nav-link" (click)="doing=false">Create student</a>
  </li>
</ul>
<div *ngIf="doing">
  <table class="table table-striped table-dark">
    <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">First</th>
        <th scope="col">Last</th>
        <th scope="col">Handle</th>
        <th>SKILLS</th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let student of students">
        <th scope="row">1</th>
        <td>{{ student.firstname }}</td>
        <td>{{student.lastname}}</td>
        <td>{{student.student_id}}</td>
        <td>
      <tr *ngFor="let item of student.studentSkills">
        <td>{{item.skill.name}}</td>
        <td>
          <div>
            <span *ngFor="let item of arrayOne(item.rating)" class="fa fa-star checked"></span>
            <span *ngFor="let item of arrayOne(5 - item.rating)" class="fa fa-star"></span>
          </div>
        </td>
      </tr>
      </td>
      <td>
        <a [routerLink]="['/student/edit/'+ student.id]" routerLinkActive="router-link-active"
          class="btn btn-primary">EDIT</a>
        <button (click)="deleteStudent(student.id)" type="button" class="btn btn-outline-danger"
          style="margin-left: 10px;">DELETE</button>
      </td>
      </tr>
    </tbody>
  </table>
</div>
<div *ngIf="!doing">
  <form #feedbackForm="ngForm" (submit)="onSubmit(feedbackForm.value)">
    <div class="form-group">
      <label for="exampleInputEmail1">FIRST NAME</label>
      <input ngModel name="firstname" type="text" class="form-control" id="exampleInputEmail1"
        aria-describedby="emailHelp" placeholder="first name">
      <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
    </div>
    <div class="form-group">
      <label for="exampleInputPassword1">LAST NAME</label>
      <input ngModel name="lastname" type="text" class="form-control" id="exampleInputPassword1"
        placeholder="last name">
    </div>
    <div class="form-group">
      <label for="exampleInputPassword1">Student ID</label>
      <input ngModel name="student_id" type="text" class="form-control" id="exampleInputID" placeholder="student id">
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>
  </form>
</div>
<!-- <div class="modal" role="dialog" *ngIf="true" style="display: block;">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Modal title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>Modal body text goes here.</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary">Save changes</button>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div> -->